## common-lisp-controller 3.88

=== Makefile ===
all: clc-build-daemon clc-send-command

clc-send-command: clc-send-command.c
	gcc -Wall -o clc-send-command clc-send-command.c -O2 

clc-build-daemon: clc-build-daemon.c
	gcc -Wall -o clc-build-daemon clc-build-daemon.c -O2 

clean:
	rm -f *.o clc-send-command clc-build-daemon 2> /dev/null || true

## common-lisp-controller 2.14

=== debian/changelog ===
common-lisp-controller (2.14) unstable; urgency=low

  * Don't depend on a lisp-compiler.
    Closes: #140979, #141482, #142497

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 14 Apr 2002 12:23:27 +0200

common-lisp-controller (2.13) unstable; urgency=low

  * Now depends on lisp-compiler

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 29 Mar 2002 21:39:29 +0100

common-lisp-controller (2.12) unstable; urgency=low

  * Fixed "Done " message for u-c-l-s 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 29 Dec 2001 20:59:54 +0100

common-lisp-controller (2.11) unstable; urgency=low

  * Now u-c-l-i also calls remove-defsystem. Closes: #123617
  * OpenMCL patches. Closes: #123621

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 12 Dec 2001 21:05:43 +0100

common-lisp-controller (2.10) unstable; urgency=high

  * Fixed major logical pathname problem.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 20 Nov 2001 20:35:36 +0100

common-lisp-controller (2.9) unstable; urgency=high

  * Fixed add-project-directory
  * New, updated defsystem
    Fixes: #118854
  * Should have lintian overrides:
    Fixes: #96107, #103892
  * Banners fixed.
    Fixes: #119875

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 17 Nov 2001 11:07:57 +0100

common-lisp-controller (2.8) unstable; urgency=low

  * Now includes italian translation 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  2 Sep 2001 21:40:59 +0200

common-lisp-controller (2.7) unstable; urgency=low

  * Includes MCL fixes. Fixes: #99882.
  * Includes UID fix. Fixes: #107037

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  8 Aug 2001 13:58:23 +0200

common-lisp-controller (2.6) unstable; urgency=low

  * Forgotten comments of last time:
  * Skipped 2.4 due to cClan problems
  * Now with sbcl fixes

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 10 Jul 2001 21:44:34 +0200

common-lisp-controller (2.5) unstable; urgency=low

  * 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  5 Jul 2001 08:09:06 +0200

common-lisp-controller (2.3) unstable; urgency=low

  * Now includes patch from Rhodes: Fixes: #103467 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Jul 2001 15:45:00 +0200

common-lisp-controller (2.2) unstable; urgency=low

  * Now conflicts with olders cmucl's

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Jul 2001 14:15:43 +0200

common-lisp-controller (2.1) unstable; urgency=low

  * Rebuild for dpkg-dev problems.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Jul 2001 08:12:39 +0200

common-lisp-controller (2.0) unstable; urgency=low

  * Now with new target: install-defsystem.
  * Now allows normal file targets, fixes: #97257
  * Now knows about .c files. Fixes: #97258
  * Note that -noinit should be used. Fixes: #99255
  * Fixed sbcl buglet. Fixes: #99403
  * Made the de-registering idempotent. Thanks for the idea Dan!

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 27 Jun 2001 13:43:24 +0200

common-lisp-controller (1.6) unstable; urgency=low

  * Now for all architectures. Fixes: #96769 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  9 May 2001 17:41:38 +0200

common-lisp-controller (1.5) unstable; urgency=low

  * changed copyright to LGPL
  * Fixed typo

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  9 May 2001 17:41:15 +0200

common-lisp-controller (1.4) unstable; urgency=low

  * Just remove the subtree of a compiler. This seems a better idea.
  * Added examples for hemlock and stuff.
  * Added banners.
  * defsystem is now a part of common-lisp-controller
  * Fixed -f problem, now is -r thanks to rahul on #lisp 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  1 May 2001 12:37:49 +0200

common-lisp-controller (1.3) unstable; urgency=low

  * Added bash dependency

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 20 Feb 2001 21:56:55 +0100

common-lisp-controller (1.2) unstable; urgency=low

  * The scripts should be executable you dofus!

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 12 Feb 2001 20:38:21 +0100

common-lisp-controller (1.1) unstable; urgency=low

  * Fixed missing clean target.
  * Now installs in correct directory, Fixes: Bug#85355.
  * Now includes programs :-) Fixes: Bug#85310. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 11 Feb 2001 16:50:03 +0100

common-lisp-controller (1.0) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 12 Sep 2000 08:05:34 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: common-lisp-controller
Section: devel
Priority: optional
Build-Depends-Indep: debhelper
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.5.6.0

Package: common-lisp-controller
Architecture: all
Depends: bash (>= 2.04-9), debianutils (>= 1.7)
Conflicts: cmucl (<< 3.0.0)
Suggests: cmucl, sbcl
Description: This is a common lisp source and compiler manager.
 With this package you can install and manage 
 common lisp sources and compilers and have
 a working defsystem system.
Description-it: Questo  un gestore di compilatore e sorgenti common lisp
 Con questo pacchetto  possibile installare e gestire sorgenti common
 lisp e compilatori che abbiano un sistema defsystem funzionante.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

export DESTDIR=`pwd`/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#/usr/bin/docbook-to-man debian/common-lisp-controller.sgml > common-lisp-controller.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm *~  || true
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	install --group=root --owner=root register-common-lisp-source $(DESTDIR)/usr/sbin/
	install --group=root --owner=root register-common-lisp-implementation $(DESTDIR)/usr/sbin/
	install --group=root --owner=root unregister-common-lisp-source $(DESTDIR)/usr/sbin/
	install --group=root --owner=root unregister-common-lisp-implementation $(DESTDIR)/usr/sbin/
	install --group=root --owner=root --mode=644 defsystem.lisp $(DESTDIR)/usr/share/common-lisp/source/defsystem/
	install --group=root --owner=root --mode=644 common-lisp-controller.lisp $(DESTDIR)/usr/share/common-lisp/source/common-lisp-controller/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## common-lisp-controller 3.88

=== debian/changelog ===
common-lisp-controller (3.88) unstable; urgency=low

  * Don't run the cronjob if we are removed. Closes: #239108
  * Removed bash-ism from the cronjob. Closes: #241985
  * Added french and dutch translations. Closes: #227063, #241429
  * Moved the connect request, so the syslog is not filled
    with "clc-build-daemon: error: eof on read: Success"
    junk.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Apr 2004 14:45:36 +0200

common-lisp-controller (3.87) unstable; urgency=low

  * Add sbcl-mt to known CL implementations (closes:238550)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 Mar 2004 10:02:10 -0700

common-lisp-controller (3.86) unstable; urgency=low

  * Add --force-connect to clc-send-command invocation

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 16 Mar 2004 10:42:04 -0700

common-lisp-controller (3.85) unstable; urgency=low

  * We don't need to use sudo as we are root anyway. Closes: #231008 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Feb 2004 23:09:19 +0100

common-lisp-controller (3.84) unstable; urgency=medium

  * The spool directory should be world-writable to be any good! 
    This could cause problems for real users and possibly build daemons.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  2 Feb 2004 16:40:31 +0100

common-lisp-controller (3.83) unstable; urgency=low

  * cleanup wrongfully compiled files from previus versions. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 24 Dec 2003 14:35:00 +0100

common-lisp-controller (3.82) unstable; urgency=high

  * Improved validation of the spool files. Could be a securtity problem I
    guess. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 24 Dec 2003 10:07:44 +0100

common-lisp-controller (3.81) unstable; urgency=low

  * Reversed order of the tests, so no more 'Looping' messages
    in the cronlog. Closes: #224772
  * Refactoring of the clc-send-command code. Hopefully it still works. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 22 Dec 2003 12:29:01 +0100

common-lisp-controller (3.80) unstable; urgency=low

  * New feature: when the daemon is not reachable we 
    create a request in a spool directory. Once a day we 
    retry to do all logged requests. As we remove the 
    offender, Closes: #183649
  * Still Closes: #221552

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 19 Dec 2003 23:46:09 +0100

common-lisp-controller (3.79) unstable; urgency=low

  * Fix bug when HOME environmental variable has a terminal /

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 12 Dec 2003 23:41:43 -0700

common-lisp-controller (3.78) unstable; urgency=low

  * Add ~/.clc/systems/ to asdf:central-registry*

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  7 Dec 2003 22:24:32 -0700

common-lisp-controller (3.77) unstable; urgency=low

  * Compile our own files to the fasl dir. Closes: #221552 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 25 Nov 2003 17:02:15 +0100

common-lisp-controller (3.76) unstable; urgency=low

  * Fixed typo in template file. Closes: #201469
  * Now we use gettext-based debconf. Closes: #205815, #207112 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 16 Sep 2003 12:02:51 +0200

common-lisp-controller (3.75) unstable; urgency=low

  * Add #\. to the allowedcharacters for library names

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 22 Aug 2003 23:43:11 -0600

common-lisp-controller (3.74) unstable; urgency=low

  * Fix caching logic for loading user-packages.db

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 17 Aug 2003 13:52:26 -0600

common-lisp-controller (3.73) unstable; urgency=low

  * Move confmodule call in postinst to see if that helps with postrm's
  failure.
  * Fix output redirection (closes:204054)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  3 Aug 2003 22:57:22 -0600

common-lisp-controller (3.72) unstable; urgency=low

  * postrm: expand #DEBHELPER#. Tried using "|| true" to avoid debconf errors 
  codes, but without sucess. For now, avoiding purge with debconf since I
  can't get debconf to purge without errors. debconf bug filed.
  (closes:204048)  

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  3 Aug 2003 21:23:18 -0600

common-lisp-controller (3.71) unstable; urgency=low

  * Yes another attempt to work around bug #183960

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 31 Jul 2003 01:55:19 -0600

common-lisp-controller (3.70) unstable; urgency=low

  * Move debconf initialization line in postinst to work aroung
  bug #183960

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Jul 2003 23:46:07 -0600

common-lisp-controller (3.69) unstable; urgency=low

  * Push correct directory onto system registry (closes:202713)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 24 Jul 2003 09:49:27 -0600

common-lisp-controller (3.68) unstable; urgency=low

  * common-lisp-controller.lisp: eliminate internal dependence on
  logical pathnames

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 20 Jul 2003 19:27:19 -0600

common-lisp-controller (3.67) unstable; urgency=low

  * Now clc-send-command can handle a clc-build-daemon
    that is being reconfigured. Closes: #188132
    Should also fix this report. Closes: #198901

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 26 Jun 2003 15:47:08 +0200

common-lisp-controller (3.66) unstable; urgency=low

  * Fixed error reporting script: forgot a `.
  * make the daemon report the failed package. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 17 Jun 2003 03:00:23 +0200

common-lisp-controller (3.65) unstable; urgency=low

  * Implement a work-round for the user-adduser-in-postrm
    problem. Thanks to Thomas Viehmann. Closes: #192297
  * Improves error reporting script again.
  * Fixed declaration of system-directory in add-project-directory.
    Closes: #193611
  * We fixed lisp-config in version 3.62. Closes: #195420

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 13 Jun 2003 06:27:09 +0200

common-lisp-controller (3.64) unstable; urgency=low

  * add check for possible errors from asdf::resolve-symlinks



=== debian/control ===
Source: common-lisp-controller
Section: devel
Priority: optional
Build-Depends: debhelper (>= 4.1.16)
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Uploaders: Kevin M. Rosenberg <kmr@debian.org>
Standards-Version: 3.6.1.0

Package: common-lisp-controller
Architecture: any
Depends:  ${shlibs:Depends}, bash (>= 2.04-9), debianutils (>= 1.7), debconf (>= 1.0), mailx, netbase, adduser (>= 3.47), cl-asdf (>= 1.55), cl-defsystem3, realpath
Pre-Depends: netkit-inetd 
Conflicts: cmucl (<< 3.1.0), xinetd
Replaces: cmucl (<< 3.1.0)
Suggests: cmucl, sbcl
Description: This is a Common Lisp source and compiler manager
 With this package you can install and manage 
 common lisp sources and compilers and have
 a working defsystem system.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1  # Uncomment this to turn on verbose mode.

CLC_SBIN	:= usr/sbin/
CLC_BIN		:= usr/bin/
CLC_SRC 	:= usr/share/common-lisp/source/common-lisp-controller/
CLC_LIB		:= usr/lib/common-lisp-controller/

SBIN_PROGS 	:= register-common-lisp-source unregister-common-lisp-source \
		register-common-lisp-implementation \
		unregister-common-lisp-implementation \
		clc-reregister-all-impl	clc-build-daemon

BIN_PROGS	:= clc-send-command clc-autobuild-library clc-autobuild-check \
		clc-autobuild-impl clc-autobuild-only clc-register-user-package \
		clc-unregister-user-package

CLC_SRC_FILES	:= common-lisp-controller.lisp pre-sysdef-install.lisp \
		 post-sysdef-install.lisp

#CLC_UTILS	:= debug-daemon-problems.sh

MAN_FILES := man/clc-send-command.1 man/clc-build-daemon.8 \
	man/register-common-lisp-implementation.8 \
	man/clc-reregister-all-impl.8 \
	man/clc-autobuild-only.1 man/clc-autobuild-check.1 man/clc-autobuild-impl.1 \
	man/clc-autobuild-library.1 man/clc-register-user-package.1 \
	man/clc-unregister-user-package.1

configure: configure-stamp
configure-stamp:
	dh_testdir
# Add here commands to configure the package.	
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
# Add here commands to compile the package.
	-$(MAKE) 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f *~  || true
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# fix the var directory
	chmod 1777 debian/common-lisp-controller/var/spool/common-lisp-controller
	# Add here commands to install the package into debian/pkg-name
	dh_install $(SBIN_PROGS) $(CLC_SBIN)
	dh_install $(BIN_PROGS) $(CLC_BIN)
	dh_install $(CLC_SRC_FILES) $(CLC_SRC)
#	dh_install $(CLC_UTILS) $(CLC_LIB)

# Build architecture-independent files here.
 binary-indep: build install


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman $(MAN_FILES)
	dh_link
	dh_strip
	dh_compress
	dh_fixperms --exclude debian/common-lisp-controller/var/spool/common-lisp-controller
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## common-lisp-controller 4.12

=== debian/changelog ===
common-lisp-controller (4.12) unstable; urgency=low

  * Make clc:clc-require also work for user-supplied packages. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 19 Oct 2004 10:27:05 +0200

common-lisp-controller (4.11) unstable; urgency=low

  * Added support for clc-register-user-package again. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 29 Sep 2004 23:49:16 +0200

common-lisp-controller (4.10) unstable; urgency=low

  * Fixed regexp for source uninstallation. Closes: #272679.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 21 Sep 2004 14:41:38 +0200

common-lisp-controller (4.9) unstable; urgency=low

  * Fixed regexp for implementation removal. Closes: #271319. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 13 Sep 2004 07:13:03 +0200

common-lisp-controller (4.8) unstable; urgency=low

  * Remembered that we actually have all the versions
    of the cronjob in the sf cvs. Got them and their
    md5sums.
  * Shutup an rm during install Closes: #264491.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  9 Aug 2004 11:11:40 +0200

common-lisp-controller (4.7) unstable; urgency=low

  * Also recognise an older cronjob. Closes: #263863. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  8 Aug 2004 00:15:53 +0200

common-lisp-controller (4.6) unstable; urgency=low

  * unregister-common-lisp-implemention: Fix implementation name checking regex

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  4 Aug 2004 17:57:39 -0600

common-lisp-controller (4.5) unstable; urgency=low

  * Forgot to use a CVS export! 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Aug 2004 22:59:17 +0200

common-lisp-controller (4.4) unstable; urgency=low

  * Fixed stupid typo in preinst. Closes: #263087 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Aug 2004 13:51:17 +0200

common-lisp-controller (4.3) unstable; urgency=low

  * Forgot to remove old cronjob file. Closes: #262677
  * Corrected the preinst script. Closes: #262914
  * Corrected the file to load in the design document.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  2 Aug 2004 18:38:38 +0200

common-lisp-controller (4.2) unstable; urgency=low

  * Stupid error: we should reinstall clc when
    we upgrade a implementation.
  * Stupid error2: fixed typo in package alias and
    the use of the old alias in post-sysdef-install.lisp
  * Now we clean the correct directory: /var/cache/common-lisp-controller
    not /var/cache/common-lisp
  * Slight license change: now LLGPL'ed.
  * This version should fix almost all problems.
    Closes: #197649, #261757, #231031
    By removing complexity
    Closes: #260069
    By not having a cronjob anymore
    Closes: #128761
    Because the user can set options for his lisp that
    then get used for the compilation.
  * Fixed quoting problem that prevented the removal of 
    cached fasl's.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 30 Jul 2004 17:51:34 +0200

common-lisp-controller (4.1) experimental; urgency=low

  * Fixed syntax error. Closes: #261757
  * New clc-build-all-packages to rebuild all known systems.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 28 Jul 2004 21:45:19 +0200

common-lisp-controller (4.0) experimental; urgency=low

  * Test upload

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 26 Jul 2004 16:30:06 +0200

=== debian/control ===
Source: common-lisp-controller
Section: devel
Priority: optional
Build-Depends: debhelper (>= 4.1.16)
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Uploaders: Kevin M. Rosenberg <kmr@debian.org>
Standards-Version: 3.6.1.1

Package: common-lisp-controller
Architecture: all
Depends:  ${shlibs:Depends}, bash (>= 2.04-9), debianutils (>= 1.7), debconf (>= 1.0), cl-asdf (>= 1.55), realpath
Conflicts: cmucl (<< 3.1.0)
Replaces: cmucl (<< 3.1.0)
Suggests: sbcl
Description: This is a Common Lisp source and compiler manager
 With this package you can install and manage 
 common lisp sources and compilers. It creates 
 a user-specific cache of compiled objects. When a 
 library or an implementation is upgraded all
 compiled objects in the cache are flushed. It also
 provides tools to recompile all libraries and 
 to generate debian packages from asdf-install packages.

## common-lisp-controller 4.15sarge3

=== debian/changelog ===
common-lisp-controller (4.15sarge3) stable-security; urgency=low

  * in clisp/stable the umask function is not in posix, but in the
    linux package. 
    (Closes: #338296)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 11 Nov 2005 07:23:27 +0100

common-lisp-controller (4.15sarge2) stable-security; urgency=high

  * From Kevin Rosenberg: it should be #o22, not #x22!
    Better fix for CAN-2005-2657

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  4 Sep 2005 21:58:49 +0200

common-lisp-controller (4.15sarge1) stable-security; urgency=high

  * From François-René Rideau: check if we are the owner of the cache 
    directory as this could be used to let other users run code you 
    planted for them. This is a grave security issue. 
    References: CAN-2005-2657

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  2 Sep 2005 05:21:39 +0200

common-lisp-controller (4.15) unstable; urgency=low

  * Added Vietnamese translation for debconf. Closes: #310034 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 21 May 2005 16:02:40 +0200

common-lisp-controller (4.14) unstable; urgency=low

  * Corrected user system search path for sbcl. Closes: #307161

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 May 2005 11:53:00 +0200

common-lisp-controller (4.13) unstable; urgency=low

  * Added Czech translation from Martin Šín.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 21 Apr 2005 14:18:15 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: common-lisp-controller
 Architecture: all
-Depends:  ${shlibs:Depends}, bash (>= 2.04-9), debianutils (>= 1.7), debconf (>= 1.0), cl-asdf (>= 1.55), realpath
+Depends:  ${shlibs:Depends}, bash (>= 2.04-9), debianutils (>= 1.7), debconf (>= 1.0), cl-asdf (>= 1.55), realpath, perl
 Conflicts: cmucl (<< 3.1.0)
 Replaces: cmucl (<< 3.1.0)
 Suggests: sbcl

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1  # Uncomment this to turn on verbose mode.

CLC_SBIN	:= usr/sbin/
CLC_SRC 	:= usr/share/common-lisp/source/common-lisp-controller/
CLC_LIB		:= usr/lib/common-lisp-controller/

SBIN_PROGS 	:= register-common-lisp-source unregister-common-lisp-source \
		register-common-lisp-implementation \
		unregister-common-lisp-implementation 

BIN_PROGS	:= clc-register-user-package   \
		clc-unregister-user-package
CLC_SRC_FILES	:= common-lisp-controller.lisp post-sysdef-install.lisp

#CLC_UTILS	:= debug-daemon-problems.sh

MAN_FILES := man/register-common-lisp-implementation.8  \
 man/clc-register-user-package.1

configure: configure-stamp
configure-stamp:
	dh_testdir
# Add here commands to configure the package.	
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
# Add here commands to compile the package.
	#-$(MAKE) 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm -f *~  || true
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# fix the var directory
	chmod 1777 debian/common-lisp-controller/var/cache/common-lisp-controller
	# Add here commands to install the package into debian/pkg-name
	dh_install $(SBIN_PROGS) $(CLC_SBIN)
	dh_install $(BIN_PROGS) $(CLC_SBIN)
	dh_install $(CLC_SRC_FILES) $(CLC_SRC)
#	dh_install $(CLC_UTILS) $(CLC_LIB)

# Build architecture-dependent files here.
binary-arch: build install


# Build architecture-independent files here.
 binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman $(MAN_FILES)
	dh_link
	dh_strip
	dh_compress
	dh_fixperms --exclude debian/common-lisp-controller/var/cache/common-lisp-controller
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## common-lisp-controller 4.18

=== debian/changelog ===
common-lisp-controller (4.18) unstable; urgency=high

  * From Kevin Rosenberg: it should be #o22, not #x22!
    Better fix for CAN-2005-2657

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  4 Sep 2005 21:56:54 +0200

common-lisp-controller (4.17) unstable; urgency=high

  René van Bevern:
    * install clc-register-user-package and clc-unregister-user-package
      to /usr/bin instead of /usr/sbin
  Peter Van Eynde:
    * Use pushnew when modifying the *central-registry*, from a suggestion
      by François-René Rideau.
    * Also from Faré: check if we are the owner of the cache directory
      as this could be used to let other users run code you planted
      for them. This does is a grave security issue. Fixes:
      CAN-2005-2657
    * Improved the portability of the security fix with the help of 
      Kevin Rosenberg. But clc now depends on perl...

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  4 Sep 2005 09:56:58 +0200

common-lisp-controller (4.16) unstable; urgency=low

  * Now uses darcs
  * Updated standard version
  * Remove /etc/lisp-config.lisp on purge. Closes: #319163
  * Added ${misc:Depends}, fixing debconf2 and cdebconf problems. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  3 Aug 2005 10:58:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Build-Depends: debhelper (>= 4.1.16)
 Maintainer: Peter Van Eynde <pvaneynd@debian.org>
 Uploaders: Kevin M. Rosenberg <kmr@debian.org>
-Standards-Version: 3.6.1.1
+Standards-Version: 3.6.2.1
 
 Package: common-lisp-controller
 Architecture: all
-Depends:  ${shlibs:Depends}, bash (>= 2.04-9), debianutils (>= 1.7), debconf (>= 1.0), cl-asdf (>= 1.55), realpath, perl
+Depends:  ${misc:Depends}, ${shlibs:Depends}, bash (>= 2.04-9), debianutils (>= 1.7), debconf (>= 1.0), cl-asdf (>= 1.55), realpath, perl
 Conflicts: cmucl (<< 3.1.0)
 Replaces: cmucl (<< 3.1.0)
 Suggests: sbcl

## common-lisp-controller 4.27

=== debian/changelog ===
common-lisp-controller (4.27) unstable; urgency=low

  * clisp changed a posix function.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Dec 2005 07:48:59 +0100

common-lisp-controller (4.26) unstable; urgency=medium

  * Check the return code of the configuration
    of the lisp implementation. Otherwise it might fail but
    the implementation will claim to be 'configured'.
    Closes: #338529
    Medium urgency because this can cause the build of other
    packages to fail seemingly without reason.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 18 Nov 2005 20:59:57 +0100

common-lisp-controller (4.25) unstable; urgency=low

  * restore quote in adding the users system directory,
    so the users directory will be added, and not just
    root.
  * Added clc:list-systems function
  * Moved functions round to avoid 'unknown function
    INIT-COMMON-LISP-CONTROLLER-V4


 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 16 Nov 2005 19:37:07 +0100

common-lisp-controller (4.24) unstable; urgency=low

  * Push :common-lisp-controller and :clc-os-debian on *features*
  * Put the users' system files at the front of the locations
    to be searched list.
  * fixed typo in post-sysdef-install.lisp (Closes: #338271)
  * give better error messages when checking of permissions 
    of the output directory (Closes: #329347)

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 10 Nov 2005 10:09:10 +0100

common-lisp-controller (4.23) unstable; urgency=low

  * Export calculate-fasl-root for slime
  * Fixed calculate-fasl-root to not reply NIL 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 24 Oct 2005 20:49:49 +0200

common-lisp-controller (4.22) unstable; urgency=low

  * token new verion

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 21 Oct 2005 17:43:38 +0200

common-lisp-controller (4.21) unstable; urgency=low

  * [INTL:sv] Swedish debconf templates translation (Closes: #334189)
    from Daniel Nylander
  * Spanish debconf translation (Closes: #334550)
  * reduce priority of common-lisp-control's asdf repository 
    (Closes: #334406)
    Even if it affects Gentoo :-)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 21 Oct 2005 06:01:51 +0200

common-lisp-controller (4.20) unstable; urgency=low

  * René van Bevern
    + debian/preinst: specify -depth as first argument to find (Closes: #331160)

  * Added *clc-quiet* parameter to make clc work without 
    printing messages, mainly for CL applications.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  3 Oct 2005 08:38:57 +0200

common-lisp-controller (4.19) unstable; urgency=low

  * From Kevin Rosenberg: improved allegro checks.
  * Remove /var/cache/common-lisp-controller on purge.
    Closes: #328490
  * Conflict with older clisps that do not have the posix package.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 29 Sep 2005 08:51:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1  # Uncomment this to turn on verbose mode.
 
 CLC_SBIN	:= usr/sbin/
+CLC_BIN		:= usr/bin
 CLC_SRC 	:= usr/share/common-lisp/source/common-lisp-controller/
 CLC_LIB		:= usr/lib/common-lisp-controller/
 
@@ -52,7 +53,7 @@
 	chmod 1777 debian/common-lisp-controller/var/cache/common-lisp-controller
 	# Add here commands to install the package into debian/pkg-name
 	dh_install $(SBIN_PROGS) $(CLC_SBIN)
-	dh_install $(BIN_PROGS) $(CLC_SBIN)
+	dh_install $(BIN_PROGS) $(CLC_BIN)
 	dh_install $(CLC_SRC_FILES) $(CLC_SRC)
 #	dh_install $(CLC_UTILS) $(CLC_LIB)

## common-lisp-controller 6.0bpo1

=== debian/changelog ===
common-lisp-controller (6.0bpo1) sarge-backports; urgency=low

  * Upload to backports.org

 -- René van Bevern <rvb@debian.org>  Sun,  4 Jun 2006 20:15:49 +0200

common-lisp-controller (6.1) unstable; urgency=low

  * small ecl specific fix.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 17 May 2006 04:30:11 +0200

common-lisp-controller (6.0) unstable; urgency=low

  * small source fixes
  * If non-clc controlled files are compiled we now place them in
    /var/cache/common-lisp/<implementation>/local/<original path>

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 17 May 2006 01:14:27 +0200

common-lisp-controller (5.12bpo1) sarge-backports; urgency=low

  * Rebuilt for Backports.org + The Common Lisp IDE Slime and Embeddable
    Common Lisp require a Common Lisp Controller version newer than the
    one in Sarge

 -- René van Bevern <rvb@debian.org>  Mon,  1 May 2006 12:44:02 +0200

common-lisp-controller (5.13) unstable; urgency=high

  * Fixed pre-installation script error (Closes: #359761)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 29 Mar 2006 05:23:40 +0200

common-lisp-controller (5.12) unstable; urgency=low

  * Fix asdf issues with new sbcl 0.9.11.0, use the
    native sbcl asdf version.
  * system-fasl-filename is only needed on ecl,
    makes clc on sbcl much more silent.
    (Closes: #357842)
  * Silenced find error message on upgrade from 
    4.27. Reported by Martin Schulze.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 28 Mar 2006 09:51:20 +0200

common-lisp-controller (5.11) unstable; urgency=low

  * New ecl related fixes.
  * Main common-lisp-controller manpage.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 15 Mar 2006 21:45:49 +0100

common-lisp-controller (5.10) UNRELEASED; urgency=low

  [ Peter Van Eynde ]

  * Split up compiling, loading and initialization
    for the benefit of 'create new image with these
    files' implementations like ecl.
  * fix /sbin /usr/bin confusion in register-common-lisp-source
    and unregister-common-lisp-source
  * Slight ecl compile-file-pathname related fixes
  * fix /sbin /usr/bin confusion in register-common-lisp-source
    and unregister-common-lisp-source
  * Slight ecl compile-file-pathname related fixes
  * We need to load and compile common-lisp-controller too.

  [ René van Bevern ]

  * Use user IDs to determine the location of the FASL cache instead of
    home dirs, because multiple users might have the same home dir and
    therefore would end up with the same FASL cache, what CLC won't let
    them do. post-sysdef-install.lisp:

    + split get-uid-mode-and-my-uid into get-owner-and-mode and get-uid
    + caclulate-fasl-root uses get-uid to build up *fasl-root*

  * Some more code reuse to get rid of the duplicate
    check-spooldir-security. post-sysdef-install.lisp:

    + add group-writable? and world-writable? for clisp and others
    + add get-owner-and-mode, get-uid, make-secure-cache-directory for clisp
    + Have only one check-spooldir-security using the generic functions above

  * You can now customize each implementation's default images by
    giving a list of ASDF systems to include in
    /etc/common-lisp/images/$implementation-name

    + Load desired systems at image creation

      - post-sysdef-install.lisp: add function load-user-image-components,
        that loads the systems as said above

        + for ECL, its ASDF operation build-op is used to compile systems
          natively and a list of .o files is returned that shall be linked
          into the image

      - common-lisp-controller.lisp: set path for image settings and call
        load-user-image-components in CLC compilation phase

    + recreate images if new lisp source is installed, handle updates
      - clc-update-customized-images: new script to recreate an
        implementation's image if the system given at the command line is
        desired to be part of it
      - (un)register-common-lisp-source: call clc-update-customized-images
      - debian/rules: install clc-update-customized-images to /usr/sbin

    + debian/README.Debian: document the whole thing

  * enough for one evening, I'm getting some coffee

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 18 Jan 2006 07:34:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: common-lisp-controller
 Architecture: all
 Depends:  ${misc:Depends}, ${shlibs:Depends}, bash (>= 2.04-9), debianutils (>= 1.7), debconf (>= 1.0), cl-asdf (>= 1.55), realpath, perl
-Conflicts: cmucl (<< 3.1.0)
+Conflicts: cmucl (<< 3.1.0), clisp (<< 1:2.36-1)
 Replaces: cmucl (<< 3.1.0)
 Suggests: sbcl
 Description: This is a Common Lisp source and compiler manager

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SBIN_PROGS 	:= register-common-lisp-source unregister-common-lisp-source \
 		register-common-lisp-implementation \
-		unregister-common-lisp-implementation 
+		unregister-common-lisp-implementation clc-update-customized-images
 
 BIN_PROGS	:= clc-register-user-package   \
 		clc-unregister-user-package
@@ -20,7 +20,7 @@
 #CLC_UTILS	:= debug-daemon-problems.sh
 
 MAN_FILES := man/register-common-lisp-implementation.8  \
- man/clc-register-user-package.1
+ man/clc-register-user-package.1 man/common-lisp-controller.3
 
 configure: configure-stamp
 configure-stamp:

## common-lisp-controller 6.8

=== debian/changelog ===
common-lisp-controller (6.8) unstable; urgency=low

  * clc-register-user-package and friends now work again. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 30 Nov 2006 08:38:24 +0100

common-lisp-controller (6.7) unstable; urgency=low

  * Normalize HOME and locale in all scripts. This should fix the
    $HOME on NFS problem. (Closes: #395156)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 12 Nov 2006 12:49:19 +0100

common-lisp-controller (6.6) unstable; urgency=low

  * Included some acl patches I found by accident at
    https://launchpad.net/distros/ubuntu/+source/common-lisp-controller/+bug/60835
  * modified S-X-Vcs-Darcs to XS-Vcs-Darcs field

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  6 Oct 2006 17:10:19 +0200

common-lisp-controller (6.5) unstable; urgency=low

  * The "pass the brown paper bag" release:
    strings are NOT EQ!

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Oct 2006 15:39:48 +0200

common-lisp-controller (6.4) unstable; urgency=low

  * Undoing the fix for 384457, defaulting the *redirect-fasl-files-to-cache*
    variable to T.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  2 Oct 2006 18:19:54 +0200

common-lisp-controller (6.3) unstable; urgency=low

  * Ignore source files beneath /usr/lib/
    (Closes: #382582)
  * Introduce the *redirect-fasl-files-to-cache* variable.
    If the value of this variable is true we redirect fasl files
    to the /var/cache directory. By default we will only redirect
    when compiling as the result of a clc-require call.
    (Closes: #384457)
  * Added po-debconf Build-Depends
  * Added XS-X-Vcs-Darcs header

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 25 Sep 2006 09:38:52 +0200

common-lisp-controller (6.2) unstable; urgency=low

  * Added debconf-updatepo to clean target
  * Included Portuguese translation for common-lisp-controller
    (Closes: #381375, #381374)
  * Updated standard version without real changes 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  7 Aug 2006 07:35:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 # Add here commands to clean up after the build process.
 	#-$(MAKE) clean
 	rm -f *~  || true
+	debconf-updatepo
 	dh_clean
 
 install: build

## common-lisp-controller 6.9

=== debian/changelog ===
common-lisp-controller (6.9) unstable; urgency=low

  * Run debconf-updatepo in the clean target to ensure uptodate PO
    files. (from lintian)
  * Aded German po-debconf translation (Closes: #399207)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  1 Dec 2006 09:05:25 +0100

## common-lisp-controller 6.10

=== debian/changelog ===
common-lisp-controller (6.10) unstable; urgency=low

  * Now use 'id' to get the uid. Fixes the problem is the
    UID not exported? (Closes: #418115)
  * Fixed some lintian warnings in the template file. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 25 Apr 2007 06:23:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: common-lisp-controller
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 4.1.16)
+Build-Depends: debhelper (>= 4.1.16), po-debconf
 Maintainer: Peter Van Eynde <pvaneynd@debian.org>
 Uploaders: Kevin M. Rosenberg <kmr@debian.org>
-Standards-Version: 3.6.2.1
+Standards-Version: 3.7.2.0
+XS-Vcs-Darcs: http://cl-debian.alioth.debian.org/repository/pvaneynd/common-lisp-controller/
 
 Package: common-lisp-controller
 Architecture: all

## common-lisp-controller 6.12

=== debian/changelog ===
common-lisp-controller (6.12) unstable; urgency=low

  * Fixed debconf dependency for cdebconf (Closes: #441941)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 16 Sep 2007 07:57:06 +0200

common-lisp-controller (6.11) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #428482
  * Debconf translation updates:
    - French. Closes: #432285
    - Czech. Closes: #429340
    - Portuguese. Closes: #429358
    - Galician. Closes: #429377
    - Vietnamese. Closes: #429904
    - Russian. Closes: #431097
    - German. Closes: #431138

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 10 Jul 2007 18:30:33 +0200

=== debian/control ===
Source: common-lisp-controller
Section: devel
Priority: optional
Build-Depends: debhelper (>= 4.1.16), po-debconf
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Uploaders: Kevin M. Rosenberg <kmr@debian.org>
Standards-Version: 3.7.2.0
XS-Vcs-Darcs: http://cl-debian.alioth.debian.org/repository/pvaneynd/common-lisp-controller/

Package: common-lisp-controller
Architecture: all
Depends:  ${misc:Depends}, ${shlibs:Depends}, bash (>= 2.04-9), debianutils (>= 1.7), debconf (>= 1.0) | debconf-2.0, cl-asdf (>= 1.55), realpath, perl
Conflicts: cmucl (<< 3.1.0), clisp (<< 1:2.36-1)
Replaces: cmucl (<< 3.1.0)
Suggests: sbcl
Description: Common Lisp source and compiler manager
 This package helps installing Common Lisp sources and compilers.
 .
 It creates a user-specific cache of compiled objects. When a library
 or an implementation is upgraded, all compiled objects in the cache
 are flushed. It also provides tools to recompile all libraries and to
 generate Debian packages from asdf-install packages.

## common-lisp-controller 6.15

=== debian/changelog ===
common-lisp-controller (6.15) unstable; urgency=low

  * Debconf translations:
    + Finnish, thanks to Esko Arajärvi <edu@iki.fi> (Closes: #457305).

  * debian/binary.lintian-overrides:
    + package-contains-empty-directory for /usr/lib/common-lisp/bin/
      and /usr/share/common-lisp/systems/.
    + non-standard-dir-perm for /var/cache/common-lisp-controller/.

  * debian/control:
    + add myself to Uploaders:.
    + add Vcs-Browser field.

  * debian/prerm:
    - remove, nothing to be done at that point (thanks to lintian)

  * debian/rules:
    + install binary.lintian-overrides file.

  * debian/source.lintian-overrides:
    + translated-default-field for debian/templates.

  * man/clc-register-user-package.1:
    + remove trailing spaces.
    + replace .Nm and .Nd commands since they generate man's warnings
      (thanks to lintian).
    + update Copyright to 2008.

  * post-sysdef-install.lisp:
    + use the built-in (posix:getuid) for CLISP instead of getting
      the UID from the USER environment variable, patch from Mark
      Wooding <mdw@distorted.org.uk>.
    + implement a working GET-UID for ECL which doesn't need to mess
      with running shell commands nor do redirection, patch from
      Mark Wooding <mdw@distorted.org.uk> (Closes: #477169).
    + use the real UID for Lisps that do not provide a built-in
      GET-UID, patch from Mark Wooding <mdw@distorted.org.uk>.

 -- Luca Capello <luca@pca.it>  Fri, 13 Jun 2008 10:02:24 +0200

common-lisp-controller (6.14) unstable; urgency=low

  * Fixed Vcs-Git field

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 18 Feb 2008 22:01:36 +0100

common-lisp-controller (6.13) unstable; urgency=low

  * Use Vcs-Bzr in control file
  * Accepted path from Joubert Nel to create module subdirectories as
    needed
  * Updated standard version without real changes
  * asdf changed its path, fix this.
  * Changed to group maintenance 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 09 Feb 2008 08:15:56 +0100

## common-lisp-controller 6.17

=== debian/changelog ===
common-lisp-controller (6.17) unstable; urgency=low

  * Debconf translations:
    + Swedish, thanks to Martin Bagge <brother@bsnet.se>
      (Closes: #491761).

 -- Luca Capello <luca@pca.it>  Sun, 27 Jul 2008 14:19:03 +0200

common-lisp-controller (6.16) unstable; urgency=low

  * Debconf template/translations update, thanks to Christian Perrier
    <bubulle@debian.org>:
    + Czech.
    + German.
    + Spanish.
    + Finnish.
    + French.
    + Galician.
    + Dutch.
    + Portoguese.
    + Russian.
    + Swedish.
    + Vietnamese.

  * debian/templates:
    + remove trailing space and correct typo, patch from
      Christian Perrier <bubulle@debian.org>.

 -- Luca Capello <luca@pca.it>  Wed, 09 Jul 2008 17:11:50 +0200

=== debian/control ===
Source: common-lisp-controller
Section: devel
Priority: optional
Build-Depends: debhelper (>= 4.1.16), po-debconf
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Kevin M. Rosenberg <kmr@debian.org>, Luca Capello <luca@pca.it>
Standards-Version: 3.7.3.0
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/common-lisp-controller.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/common-lisp-controller.git;a=summary

Package: common-lisp-controller
Architecture: all
Depends:  ${misc:Depends}, ${shlibs:Depends}, bash (>= 2.04-9), debianutils (>= 1.7), debconf (>= 1.0) | debconf-2.0, cl-asdf (>= 1.111), realpath, perl
Conflicts: cmucl (<< 3.1.0), clisp (<< 1:2.36-1), cl-asdf (<< 1.111)
Replaces: cmucl (<< 3.1.0)
Suggests: sbcl
Description: Common Lisp source and compiler manager
 This package helps installing Common Lisp sources and compilers.
 .
 It creates a user-specific cache of compiled objects. When a library
 or an implementation is upgraded, all compiled objects in the cache
 are flushed. It also provides tools to recompile all libraries and to
 generate Debian packages from asdf-install packages.

=== debian/rules ===
--- 
+++ 
@@ -57,13 +57,15 @@
 	dh_install $(BIN_PROGS) $(CLC_BIN)
 	dh_install $(CLC_SRC_FILES) $(CLC_SRC)
 #	dh_install $(CLC_UTILS) $(CLC_LIB)
+	# lintian overrides for empty directories and dir permissions
+	install -D -m 0644 debian/binary.lintian-overrides debian/common-lisp-controller/usr/share/lintian/overrides/common-lisp-controller
 
 # Build architecture-dependent files here.
 binary-arch: build install
 
 
 # Build architecture-independent files here.
- binary-indep: build install
+binary-indep: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
